Home > debian > Debian - newest version of Eclipse

Debian - newest version of Eclipse

March 23Hits:1
Advertisement

I use Debian Jessie (testing) and I have Eclipse 3.8. Newest version of Eclipse is 4.4. In Debian Sid (unstable) I have still Eclipse 3.8.

How can I install newest version of Eclipse on this museum of software? ;)

Answers

If you're the only user on your system, the easiest way to install the latest version of Eclipse is to download it and extract the tarball into a new directory in your home directory, then run it from there. Make sure you have openjdk-7-jdk or openjdk-8-jdk installed beforehand, and that the default Java is appropriate (update-java-alternatives).

You can also install it to /opt if you prefer; just make sure you use a version-specific Eclipse directory (/opt/eclipse-4.4).

Tags:debian, eclipse

Related Articles

  • Debian - newest version of EclipseMarch 23

    I use Debian Jessie (testing) and I have Eclipse 3.8. Newest version of Eclipse is 4.4. In Debian Sid (unstable) I have still Eclipse 3.8. How can I install newest version of Eclipse on this museum of software? ;) --------------Solutions-------------

  • Update firefox to newest version in LinuxJuly 29

    The newest version of Firefox is not showing in the software package manager so I went to the website and downloaded it. After uncompressing it, there isn't a makefile. It looks like this can be run straight from the directory, but I want to instead

  • Update kde to newest versionAugust 14

    My OS is debian squeeze and I installed kde as graphical interface. My current kde version is 4.4.5. But I want to update it to the newest version (4.10.5). How to do it? (I am a newbie). --------------Solutions------------- According to the packages

  • Why most distros' package managers don't allow the same package in multiple versions and newest versions without upgrading? April 17

    I mean it's no problem in Win, but in Linux it's sometimes impossible to install new programs if you didn't update the whole OS. And if you didn't update it for a long time then you have to do several updates in a row which is very time-consuming and

  • Gajim bug; how to safely upgrade to newest version?May 29

    I'm using Gajim 0.15.4 on Ubuntu 14.04. Quite a few menu items don't response when clicked. For example, under the "Actions" menu, the only items that work are "Start Chat..." and "Quit". Under the "Edit" menu, all

  • Cocoa vs Carbon versions of EclipseAugust 29

    Can someone tell me what's the difference between Cocoa and Carbon? I want to download Eclipse but I don't know which one to pick, I have option to choose Cocoa or Carbon. --------------Solutions------------- Cocoa supports features like spell checki

  • Getting Java working again in 10.10? (or force newest version of OpenJDK?)December 21

    Recently, the games on Pogo.com stopped working with Sun Java in Ubuntu 10.10. I have my dad running 64bit Ubuntu 10.10 because it works fine for him and he has had no reason for an upgrade (and didnt like Unity). He loves Pogo and plays the slots ga

  • Update / Install the newest version of LaTeX3May 13

    The developing of LaTeX3 goes on. However some feature will be improved or added. The LaTeX3 team can't upload every day a new version to CTAN. How can I install the newest version LaTeX3? --------------Solutions------------- The LaTeX3 team is well

  • Ubuntu not installing newest version of apps? June 15

    Possible Duplicate: How do software updates work? Hi I just installed blender and gimp only to find that it is installing older versions not the newest versions. It installed gimp 2.6 rather than gimp 2.8 and blender 2.62 rather than 2.63a How do I u

  • Why does Chrome report java as old, even though I have the newest version?August 9

    I have the newest version of Oracle Java (1.7.0_05) from Webupd8's PPA. Despite this, Google Chrome complaints that my Java plug-in is out dated, and forces me to confirm that I want to run every applet I have to use (like my bank and such). Can anyo

  • Error after update to newest version of ispconfigNovember 20

    Hello, i got this email from my server after update ispconfig to newest version. Subject Code: Subject: Cron <[email protected]> [ -x /usr/lib/php5/maxlifetime ] && [ -d /var/lib/php5 ] && find /var/lib/php5/ -type f -cmin +$(/usr/lib/ph

  • How to make sure user is running the newest version of mmo client?March 30

    In typical mmorpg game, you have a launcher and a client. You first run the launcher to update the client, then you run the client. In every mmo I tried if you run a client without updating first (if update is available), it automatically closes and

  • cannot upgrade linux kernel to newest versionMarch 30

    My current kernel version shown by uname -r is: 3.5.0-17-generic. However, there are files related to newer version kernel 3.5.0-26 in /boot. So I want to upgrade the kernel to 3.5.0-26 by running: sudo apt-get install linux-image-3.5.0-26-generic. B

  • Where can I find out if I have the 32-bit or 64-bit version of Eclipse?April 30

    Where can I find out if I have the 32-bit or 64-bit version of Eclipse? --------------Solutions------------- In Eclipse, go to Help -> About Eclipse -> Installation Details Click on 'Configuration' tab: Scroll down and look for osgi.arch in in textb

  • Is it possible to install newest version of Python via apt-get?October 4

    I started a programming course which requires Python 3.3.2. However, in my Ubuntu I can install only version 3.3.1. Is it possible to modify the repositories so that I can install the newest version? --------------Solutions------------- I started a p

  • What is the newest version of PHP/MySQL for Ubuntu 10.04?December 6

    I'm just trying to make sure I am getting the right information, since I won't have access to my server for a few days. So what is the newest version of PHP/MySQL for Ubuntu 10.04? I am currently running 5.2.3 and it looks as if 5.3.2 is the latest s

  • Error with tablefootnote in newest version (1.1a) of packageJanuary 19

    With the newest version of the package tablefootnote (version 1.1a), something is broken when using \tablefootnote within a table environment, something I discovered when a paper I am writing refused to compile after updating packages. What can I do

  • How can I mirror a yum repository but download only the newest versions of each package?April 23

    I would like to mirror the following Yum/RPM repositories at http://yum.puppetlabs.com/ : http://yum.puppetlabs.com/el/6/products/ http://yum.puppetlabs.com/el/6/dependencies/ http://yum.puppetlabs.com/el/5/products http://yum.puppetlabs.com/el/5/dep

  • Updating from 9.04 to the newest version May 30

    This question already has an answer here: How do I install Ubuntu? 2 answers How to install software or upgrade from an old unsupported release? 7 answers I have recently acquired a laptop that runs ubuntu 9.04. I personally have never heard of or se

  • debian packages version conventionJune 12

    I'm using debian/Ubuntu, and get confused about versions of packages. When using dpkg -l command, I get: ii vim 2:7.3.429-2ubuntu2.1 Vi IMproved - enhanced vi editor ii vim-common 2:7.3.429-2ubuntu2.1 Vi IMproved - Common files ii vim-runtime 2:7.3.4

Copyright (C) 2017 ceus-now.com, All Rights Reserved. webmaster#ceus-now.com 14 q. 0.564 s.